###################################################
### chunk number 1: Loading required libraries
###################################################
#line 46 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
library(lumi)
library(annotate)
# library(lumiHumanAll.db)


###################################################
### chunk number 2: 
###################################################
#line 63 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
## provide an arbitrary nucleotide sequence as an example 
seq <- 'ACGTAAATTTCAGTTTAAAACCCCCCG'
## create a nuID for it
id <- seq2id(seq)
print(id)


###################################################
### chunk number 3: 
###################################################
#line 73 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
id2seq(id)


###################################################
### chunk number 4: 
###################################################
#line 79 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
is.nuID(id)


###################################################
### chunk number 5: 
###################################################
#line 84 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
is.nuID('adfqeqe')


###################################################
### chunk number 6: 
###################################################
#line 114 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
  if (require(lumiHumanIDMapping))
 	 lumiHumanIDMapping()


###################################################
### chunk number 7: 
###################################################
#line 120 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
  ## Load Illumina example data in lumi package
  data(example.lumi)
  ## Match the chip information of this example data
  if (require(lumiHumanIDMapping))
	getChipInfo(example.lumi, species='Human')


###################################################
### chunk number 8: 
###################################################
#line 146 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
  if (require(lumiHumanIDMapping))
	lumiHumanIDMapping_nuID()


###################################################
### chunk number 9: 
###################################################
#line 152 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
     nuIDs <- featureNames(example.lumi)
      ## return all mapping information
    if (require(lumiHumanIDMapping))
          nuID2RefSeqID(nuIDs[1:10], lib.mapping='lumiHumanIDMapping')


###################################################
### chunk number 10: 
###################################################
#line 160 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
   if (require(lumiHumanIDMapping))
        nuID2EntrezID(nuIDs[1:10], lib.mapping='lumiHumanIDMapping')


###################################################
### chunk number 11: 
###################################################
#line 166 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
   if (require(lumiHumanIDMapping)) {
        mappingInfo <- nuID2RefSeqID(nuIDs[1:10], lib.mapping='lumiHumanIDMapping', returnAllInfo =TRUE)
        head(mappingInfo)
   }


###################################################
### chunk number 12: 
###################################################
#line 184 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
     data(example.lumi)
     nuIDs <- featureNames(example.lumi)
     if (require(lumiHumanAll.db))
     	getSYMBOL(nuIDs[1:3], 'lumiHumanAll.db')


###################################################
### chunk number 13: 
###################################################
#line 192 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
     if (require(lumiHumanAll.db))
    	 getEG(nuIDs[1:3], 'lumiHumanAll.db')


###################################################
### chunk number 14: 
###################################################
#line 198 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
     if (require(lumiHumanAll.db)) {
 	 goInfo <- getGO(nuIDs[1], 'lumiHumanAll.db')
	 goInfo[[1]][[1]]
     }


###################################################
### chunk number 15: 
###################################################
#line 206 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
     if (require(lumiHumanAll.db))
     	lookUp(nuIDs[1:3], "lumiHumanAll.db", what="SYMBOL")


###################################################
### chunk number 16: 
###################################################
#line 212 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpFUupme/R.INSTALL15e72ac7/lumi/inst/doc/IlluminaAnnotation.Rnw"
     if (require(lumiHumanAll.db))
	ls('package:lumiHumanAll.db')


